Ffmpeg Api · Merge Videos
Unganisha
ffmpeg-api/merge-videos
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/merge-videos?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ffmpeg-api/merge-videos?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ffmpeg-api/merge-videos", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/sw/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ffmpeg-api/merge-videos",
"input": {
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}
}
Piga modeli ya Ffmpeg Api · Merge Videos (ffmpeg-api/merge-videos) kupitia Doitong API. Nyaraka za mawakala: https://doitong.com/sw/developers/models/ffmpeg-api/merge-videos.md
POST https://api.doitong.com/v1/run/ffmpeg-api/merge-videos?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}
Ikiwa hali ya jibu ni "queued" au "running", piga GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 mara kwa mara hadi iwe "succeeded"; faili ziko kwenye outputs[].url. POST https://api.doitong.com/v1/quote/ffmpeg-api/merge-videos yenye mwili uleule hurejesha bei kamili kabla ya kuendesha.
Hadi $ 0.612 kwa kila uendeshaji hutozwa kulingana na matumizi halisi, yaliyosalia yanarejeshwa Iendeshe kwenye ukurasa huu
Ufunguo wako mpya wa API. Inaonyeshwa sasa tu na tayari iko kwenye msimbo na katika sehemu ya ufunguo wa API hapa chini. Iweke siri: usiwahi kuiweka kwenye msimbo unaoendeshwa kwenye kivinjari.
Tokeo lako la kwanza linaonekana hapa
Unda ombi hapa chini na uliendeshe kwa ufunguo wako wa API. Matokeo yanakiliwa kwenye hifadhi yetu, yakihifadhiwa milele au 7 siku bila malipo.
Unda ombi
Vidhibiti vinazalishwa kutoka kwenye schema ya modeli. Msimbo na bei husasishwa unapovibadilisha.
/run/ffmpeg-api/merge-videos?wait=20
makadirio → $ 0.612
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/merge-videos?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ffmpeg-api/merge-videos?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ffmpeg-api/merge-videos", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ffmpeg-api/merge-videos",
"input": {
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
},
"wait_seconds": 20
}
}
}
Endesha ombi hili
Key yako inabaki kwenye kivinjari hiki: inatumwa kwa Doitong API pekee na kuhifadhiwa (localStorage) tu ukiweka tiki kwenye Kumbuka. Pata ufunguo wa API
Kuhusu Ffmpeg Api · Merge Videos
Huunganisha video zilizoorodheshwa katika `video_urls` kwa mpangilio; angalau 2 zinahitajika. `target_fps` (1 hadi 60) huweka kasi ya fremu ya tokeo, vinginevyo kasi ya chini zaidi ya fremu ya ingizo hutumika. Saizi ya tokeo inaweza kuwekwa kwa `resolution` (mipangilio au upana na urefu maalum kutoka 512 hadi 2048), au kuchukuliwa kutoka kwenye ingizo moja kupitia `resolution_aspect_ratio_video_index`. Tokeo linajumuisha video iliyounganishwa na metadata kuhusu vyanzo.
Vigezo
Tuma jina rasmi au jina asilia, si yote mawili. Majina rasmi
video_urlsinahitajika
videos
target_fpssi lazima
resolutionsi lazima
resolution_aspect_ratio_video_indexsi lazima
Vigezo vya faili vinakubali URL ya umma ya https://, data: URI ya hadi 10 MB, au file_url ya upakiaji. Faili
Tokeo
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ffmpeg-api/merge-videos",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 612,
"usd": "0.612",
"charged": 612,
"refunded": 0
},
"input": {
"video_urls": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"metadata": {}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Sehemu za tokeo
- video
- object {url, content_type, file_name, file_size}Faili ya video iliyozalishwa kwa kuunganisha.
- metadata
- objectMetadata ya video iliyounganishwa, ikijumuisha maelezo kuhusu video za awali.
Tofauti nyingine za FFmpeg API
Miundo zaidi: Video hadi Video
Kwa mawakala wa AI: ukurasa huu katika Markdown unapatikana kwenye https://doitong.com/sw/developers/models/ffmpeg-api/merge-videos.md. Modeli na miongozo yote: https://doitong.com/developers/llms.txt